Skip to content
MOTOVIZION Docs

Create Appointment

This script allows you to make a request to create a new appointment, and receive the short form “chat code” to send in a SMS message. Also can be used for existing appointments to find the chat code.

https://api.example.com/create-appointment/
POST
application/json
ParamaterRequiredTypeDescription
dealer_uuidTrueStringThe unique Dealer ID
appt_uuidTrueStringUnique appointment ID
customer_nameTrueStringCustomer full name
yearTrueIntegerYear of vehicle
makeTrueStringMake of Vehicle
modelTrueStringModel of Vehicle
concernTrueStringThe reason for the visit, vehicle issue
vehicle_idTrueStringVehicle Identification Number
appt_dateTrueStringDate for appointment
appt_timeTrueStringTime for appointment, 24h format
curl -X POST https://api.example.com/create-appointment/ \
-H "Content-Type: application/json" \
-H "X-API-KEY: {API_KEY}" \
-d '{
"appt_uuid": "CONVO-ABC-11111111",
"dealer_uuid": "1234",
"customer_name": "Jane Doe",
"year":2019,
"make":"Toyota",
"model":"Camry",
"concern":"Engine is knocking",
"vehicle_id":"18DF79DF79D8FD9DF",
"appt_date": "2024-07-02",
"appt_time": "08:30"
}'

If the appointment already exist, return true with existing chat_code

{
'status' => 'success',
'appointment' => true, // boolean
'chat_code' => '123abc'
}

If appointment doesn’t exist, we create it and return false along with the new chat code

{
'status' => 'success',
'appointment' => false, // boolean
'chat_code' => '123abc'
}
https://chat.example.com/123abc